<?php

namespace TourOperatorProAdminWoopanel\app\views\wishlist;

use TourOperatorPro\Html\ToolBar;
use TourOperatorPro\Mvc\Model\Model;
use TourOperatorPro\Mvc\View\View;
use TourOperatorPro\Factory as FactoryAlias;

class WishlistView extends View
{
    public function display($tpl)
    {
        $modelWishlist = Model::getInstance("wishlist");
        $input = FactoryAlias::getInput();
        switch ($tpl) {
            case "list":
                ToolBar::delete("wishlist.delete_list");
                $wishlistsModel = Model::getInstance("wishlists");
                $this->list = $wishlistsModel->getList();
                break;
        }
        return parent::display($tpl);
    }
}